cd "..."

graph set window fontface "Times New Roman"
graph set window fontfacesans "Times New Roman"

import excel "M:\project\sandro\2017_ragweed_biological_control\gis\beetle_pollen_effect\artemisia\data_france.xlsx", sheet("Combine") firstrow clear
	rename day dd 
	
	drop if dd<=200 
	drop if dd>=305

	*--- smoothed line plot for pollen (by station) ---*
	
	g t1 = 299 if dd ==260
	g t2 = 1 if dd ==260

		twoway ///
		(mspline Art dd, lcolor(gs3) lpattern(shortdash) yaxis(1)) ///
		(mspline Amb dd, lcolor(gs6) lpattern(dash) yaxis(1)) ///
		, legend(on rows(1) span order(1 2 4) title("") position(6) label(1 "Artemisia spp.") label(2 "Ambrosia artemisiifolia") region(lcolor(white))) ///
		xtitle("Day of year", height(5)) ytitle("Daily pollen integral", height(5) axis(1) ) ///
		ylabel(0 25 50 75 100, angle(0) axis(1) gmin gmax) ///
		graphregion(color(white) margin(medium))  xsize(4) ysize(4) aspectratio(1)
		graph export "pollen_all_france.pdf", replace			
	
