
cd "..." 

graph set window fontface "Times New Roman"
graph set window fontfacesans "Times New Roman"

*** process data from baseline panel ***

use "data.dta", replace

	xtset cv_id year 							
	rename CV cv
	
	g temp = pat_all
	bysort cv_id: egen pat = mean(temp)
	g pat_pop = pat/pop*10000
	drop temp
	
	*! calculate here mean based on method for beetle paper
	
	replace d_1_ambr_2_mean = d_1_ambr_2_tot/d_1_ambr_2_3
	
	bysort cv: egen ambr_tot = mean(d_1_ambr_2_tot)
	
	collapse (max) pat_pop ambr_tot , by(cv)
	
	drop if ambr_tot<10
	drop if ambr_tot>2500
	
	*--- cost and mean patient nummber illustration ---*
	
	g t1 = 10 in 1
	g t2 = 590 in 1
	
	*--- patient and total ---*
	
	twoway (scatter pat_pop ambr_tot, color(gs6) msymbol(o) msize(tiny)) (line t1 ambr_tot) (line t2 ambr_tot), ///
		graphregion(color(white) lcolor(white)) bgcolor(white) ///
		ylabel(0 100 200 300 400 500 600, labsize(small) angle(0) grid glcolor(gs13) glwidth(thin)) xsize(4) ysize(4) ///
		xlabel(0 500 1000 "1,000" 1500 "1,500" 2000 "2,000" 2500 "2,500", labsize(small)) ytitle("Number of patients (per 10,000 population)") xtitle("Seasonal pollen integral for ragweed", height(5))   ///
		legend(off)
	*(lfit pat_pop ambr_tot, lcolor(gs9) lpattern(shortdash) estopts(nocons))
	
	graph export "effect_tot_patient_beetle_paper.pdf", replace
		
	
	*--- reg mean and tot (log) ---*
	g l_pat = log(pat)
	g l_pat_pop = log(pat_pop)
	g l_ambr_mean = log(ambr_mean)		
	

	putdocx begin
		reg l_pat l_ambr_tot, nocons	
		putdocx table mytable = etable
	putdocx save "regression_results.docx", replace

	
